[[!-- 
  This is Template that can be used to browse hierarchical resources or simple collection of resources
  
  variables:
    collection - resource collection IRI (concept sheme, authority list, etc.);
    itemLabel - label that describes collection item, like Term, Concept, Place, Actor, etc;
    resourceForm - IRI of the form that should be used to edit the resource in the collection;
    membershipProperty - property that connects resource to the collection, like  skos:inScheme, crm:P71i_is_listed_in, etc;
    broaderProperty - (optional) if collection is hierarchical specifies property that is used to refer from item to it broader resource, like skos:broader, crm:P127_has_broader_term, crm:P89_falls_within, etc;
    orderByPattern - (optional) SPARQL pattern that can be used to get the order
    editable - false if collection is readonly one, true otherwise
--]]
<div class="rs-vocabulary-terms-container">
 {{#if collection}}
 <mp-splitpane class="frame-split-pane" default-open="true" default-size="400" min-size="180">
<div data-flex-layout="column top-stretch">
<mp-splitpane-toggle-on>
<button class="btn-toggle-on">
<div class="btn-toggle-on-content">
<div style="text-align: left;
            min-height: 30px;
            display: flex;
            align-items: center;
            padding-bottom: 3px;">
       {{itemLabel}}s
      </div>
<div class="btn btn-grey">
<i class="iconmoon iconmoon-arrow-right2">
</i>
</div>
</div>
</button>
</mp-splitpane-toggle-on>
<mp-splitpane-toggle-off>
<div class="split-pane__leftsidebar-header">
<button class="btn-toggle-off" data-flex-layout="row center-left">
<div style="text-align: left;
            min-height: 30px;
            display: flex;
            align-items: center;">
       {{#if collection}}
       <mp-label iri="{{collection}}">
</mp-label>
       - {{/if}}{{itemLabel}}s
      </div>
<div class="page__main-top-actions">
       {{#if editable}}
       <mp-event-trigger data='{"mode": "new" }' id="{{frameId}}-form-new-trigger" targets='["{{frameId}}-term-forms"]' type="Component.TemplateUpdate">
<button class="btn btn-grey">
<i class="fa fa-plus btn-icon-left">
</i>
<span>
          [[i18n "add_new" bundle="languages/resource_simplecollectionbrowser" locale=this.lang]]
         </span>
</button>
</mp-event-trigger>
       {{/if}}
       <mp-event-trigger data='{"viewId": "entity-search","resourceIri":"{{config}}"}' id="set-action__search-add-add-frame" targets='["thinking-frames"]' type="Dashboard.AddFrame">
<button class="btn btn-grey" title="[[i18n 'entity_search' bundle='languages/resource_simplecollectionbrowser' locale=this.lang]]" type="button">
<i class="rs-icon rs-icon-search btn-icon-left">
</i>
         [[i18n "search_all" bundle="languages/resource_simplecollectionbrowser" locale=this.lang]]
        </button>
</mp-event-trigger>
<button class="btn btn-grey">
<i class="iconmoon iconmoon-arrow-left2">
</i>
</button>
</div>
</button>
</div>
</mp-splitpane-toggle-off>
<mp-splitpane-sidebar-open style="flex: 1;">
<div class="split-pane__sidebar-open">
<div class="rs-vocabulary-terms-area">
<mp-event-target-template-render id="{{frameId}}-mytree" template="{{>  treeTemplate}}">
<template id="treeTemplate">
<semantic-lazy-tree config='{"scheme": "{{collection}}", 
                                            {{#if labelSparqlPattern}}
                                            "labelPattern": "{{labelSparqlPattern}}",
                                            {{/if}}
                                            {{#if broaderProperty}}
                                            "relationPattern": "?item <{{broaderProperty}}>  ?parent",
                                            {{/if}}
                                            {{#if orderByPattern}}
                                            "orderByPattern": "{{orderByPattern}}",
                                            {{/if}}
                                            "schemePattern": "{{#if membershipProperty}} ?item <{{membershipProperty}}>  ?__scheme__.{{/if}} {{#if rdfType}} ?item a/rdfs:subClassOf* <{{rdfType}}>  .{{/if}} {{#if P2_has_type}} ?item crm:P2_has_type <{{P2_has_type}}>  .{{/if}} {{#if restrictionPattern}}{{restrictionPattern}}{{/if}}"
                                            }' focused="{{iri}}" id="{{frameId}}-scheme-tree" info-template="{{>  template}}" page-size="10000" type="simple">
<template id="template">
<span class="tree-item-actions-container">
           {{#if editable}}
           <mp-event-trigger data='{"iri":"{{iri}}", "label": "{{label}}", "mode": "edit" }' id="{{frameId}}-form-edit-trigger--{{iri}}" targets='["{{frameId}}-term-forms"]' type="Component.TemplateUpdate">
<span class="tree-item-action" style="margin-right: 7px;">
<i class="fa fa-pencil" title="Edit {{itemLabel}}">
</i>
</span>
</mp-event-trigger>
<mp-event-proxy data='{"iri":"{{iri}}"}' id="{{frameId}}-focus-tree-element" on-event-source="{{frameId}}-form-edit-trigger--{{iri}}" proxy-event-type="LazyTree.Focus" proxy-targets='["{{frameId}}-scheme-tree"]'>
</mp-event-proxy>
           {{#if broaderProperty}}
           <mp-event-trigger data='{"broader": "{{iri}}", "mode": "new" }' id="{{frameId}}-form-new-trigger" targets='["{{frameId}}-term-forms"]' type="Component.TemplateUpdate">
<span class="tree-item-action">
<i class="fa fa-plus" title="Add narrower {{itemLabel}}">
</i>
</span>
</mp-event-trigger>
           {{/if}}
                      {{else}}
           <mp-event-trigger data='{"iri":"{{iri}}",  "mode": "view" }' id="{{frameId}}-form-edit-trigger" targets='["{{frameId}}-term-forms"]' type="Component.TemplateUpdate">
<span class="tree-item-action" style="margin-right: 7px;">
<i class="fa fa-file" title="View {{itemLabel}}">
</i>
</span>
</mp-event-trigger>
           {{/if}}
          </span>
</template>
</semantic-lazy-tree>
</template>
</mp-event-target-template-render>
</div>
</div>
</mp-splitpane-sidebar-open>
</div>
  {{/if}}
  <div class="page__grid-container">
<div class="page__content-container rs-vocabulary-terms-form-area">
<mp-event-target-template-render id="{{frameId}}-term-forms" template="{{>  template}}">
<template id="template">
      {{#switch mode}}

                {{#case "new" break=true}}
                  {{#if broader}}
      <h3>
       [[i18n "adding" bundle="languages/resource_simplecollectionbrowser" locale=this.lang]]
       <div class="rs-vocabulary-terms-form-label">
        [[i18n "new" bundle="languages/resource_simplecollectionbrowser" locale=this.lang]] {{itemLabel}} [[i18n "narrower_to" bundle="languages/resource_simplecollectionbrowser" locale=this.lang]]
        <mp-label iri="{{broader}}">
</mp-label>
</div>
</h3>
      {{else}}
      <h3>
       [[i18n "adding" bundle="languages/resource_simplecollectionbrowser" locale=this.lang]]
       <div class="rs-vocabulary-terms-form-label">
        [[i18n "new" bundle="languages/resource_simplecollectionbrowser" locale=this.lang]] {{itemLabel}}
       </div>
</h3>
      {{/if}}
                {{/case}}

                {{#case "edit" break=true}}
      <div class="rs-vocabulary-terms-form-label-container">
<h3>
        [[i18n "editing" bundle="languages/resource_simplecollectionbrowser" locale=this.lang]] {{itemLabel}}:
        <div class="rs-vocabulary-terms-form-label">

<div style="display: flex; align-items: center;">
<i class="rs-icon rs-icon-drag_points" style="margin-right: 7px; margin-left: 10px;">
</i>
<mp-label iri="{{iri}}">
</mp-label>
</div>

</div>
</h3>
<mp-copy-to-clipboard message="{{itemLabel}} link has been copied to clipboard." text="{{iri}}">
<button class="btn btn-grey">
<i aria-hidden="true" class="fa fa-clipboard btn-icon-left">
</i>
         [[i18n "copy_iri" bundle="languages/resource_simplecollectionbrowser" locale=this.lang]]
        </button>
</mp-copy-to-clipboard>
</div>
      {{/case}}

                {{#case "view" break=true}}
      <div class="rs-vocabulary-terms-form-label-container">
<h3>
        [[i18n "viewing" bundle="languages/resource_simplecollectionbrowser" locale=this.lang]] {{itemLabel}}:
        <div class="rs-vocabulary-terms-form-label">
<mp-label iri="{{iri}}">
</mp-label>
</div>
</h3>
<mp-copy-to-clipboard message="{{itemLabel}} link has been copied to clipboard." text="{{iri}}">
<button class="btn btn-grey">
<i aria-hidden="true" class="fa fa-clipboard btn-icon-left">
</i>
         [[i18n "copy_iri" bundle="languages/resource_simplecollectionbrowser" locale=this.lang]]
        </button>
</mp-copy-to-clipboard>
</div>
      {{/case}}
              
                {{#case "deleted" break=true}}
      <h3>
        [[i18n "deleted" bundle="languages/resource_simplecollectionbrowser" locale=this.lang]] {{itemLabel}}:
       <div class="rs-vocabulary-terms-form-label">
        {{label}}
       </div>
</h3>
      {{/case}}
              {{/switch}}
    
              {{#if (not (eq mode "deleted"))}}
      <mp-event-proxy additional-data='{"mode": "edit"}' id="{{frameId}}-tree-refresh-on-created" on-event-source="{{frameId}}-vocab-form" on-event-types='["Form.ResourceCreated", "Form.ResourceUpdated"]' proxy-event-type="Component.TemplateUpdate" proxy-targets='["{{frameId}}-mytree", "{{frameId}}-term-forms"]'>
</mp-event-proxy>
<mp-event-proxy additional-data='{"mode": "deleted", "label": "{{label}}"}' id="{{frameId}}-tree-refresh-on-delete" on-event-source="{{frameId}}-vocab-form" on-event-types='["Form.ResourceRemoved"]' proxy-event-type="Component.TemplateUpdate" proxy-targets='["{{frameId}}-mytree", "{{frameId}}-term-forms"]'>
</mp-event-proxy>
<inline-template options='{
                                            "scheme": "{{collection}}", 
                                            {{#ifCond mode "!==" "new"}}"node": "{{iri}}",{{/ifCond}}
                                            {{#if broader}}"broader": "{{broader}}",{{/if}}
                                            {{#if data.additional_data}}"additional-data":{{{stringify data.additional_data}}},{{/if}}
                                            "editable": {{editable}},
                                            "mode": "{{mode}}",
                                            "viewId": "{{frameId}}",
                                            "broaderPropertyIRI": {{#if broaderProperty}}"{{broaderProperty}}"{{else}}null{{/if}}
                                           	
                                  }' template-iri="{{resourceForm}}">
</inline-template>
      {{else}}
      <div>
</div>
      {{/if}}
     </template>
</mp-event-target-template-render>
</div>
</div>
  {{#if collection}}
 </mp-splitpane>
 {{/if}}
</div>
